const express = require('express');
const app = express();
const port = 3000;

// set template engine to Pug
app.set('view engine', 'pug');

// import route handlers
var homeRoutes = require('./routes/home');

// define routes
app.get('/', homeRoutes.getIndex);

// set Express to serve static files (ideally this is only used in development)
app.use(express.static('./static/'));

// start Express.js app
app.listen(port, () => {
  console.log(`Example app listening on port ${port}`);
});
